%define codemirror_ver 5.18.2

Name:           notepadqq
Version:        0.53.0
Release:        %mkrel 1
Summary:        A Linux clone of Notepad++
License:        GPLv3
Group:          Editors
URL:            http://notepadqq.altervista.org/wp/
Source0:        https://github.com/notepadqq/notepadqq/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/notepadqq/CodeMirror/archive/%{codemirror_ver}/CodeMirror-%{codemirror_ver}.tar.xz
Patch0:         notepadqq-0.51.0-mga-skip-uneeded-launcher-script.patch
Patch1:         notepadqq-0.53.0-mga-add-French-translation.patch
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5quickwidgets-devel 
BuildRequires: libqt5svg-devel
BuildRequires: libqt5widgets-devel


%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a general
purpose text editor, such as syntax highlighting for more than 100
different languages, code folding, color schemes, file monitoring,
multiple selection and much more.

%prep
%setup -q -a1
%apply_patches

# (tpg) install CodeMirror
mv -f CodeMirror-%{codemirror_ver}/* src/editor/libs/codemirror
mkdir -p src/editor/libs/codemirror/mode/m4

%build
%qmake_qt5 PREFIX=%{_prefix} LRELEASE=%{_qt5_bindir}/lrelease

%make

%install
rm -rf %buildroot
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%doc CONTRIBUTORS.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/


%changelog
* Fri Apr 07 2017 adrianomorselli <adrianomorselli> 0.53.0-1uplos2017
- import

